Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3143 - Install dies before second stage loader (Rock Ridge + Torito + Joliet CD)
Summary: Install dies before second stage loader (Rock Ridge + Torito + Joliet CD)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-29 18:31 UTC by gsromero
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-07 16:33:07 UTC


Attachments (Terms of Use)

Description gsromero 1999-05-29 18:31:24 UTC
I created a CD (Rock Ridge + El Torito + Joliet Level 3)
of RH 6.0 for i386. When I try to install RH after it asks
for the CD I get the following:

error in exec of second stage loader :-(
  error: No such file or directory

I have seen there is a bug about JL3 CDs, but this has RR
too. Should RH CDs be RR + ET only?

GSR

Comment 1 David Lawrence 1999-06-02 21:05:59 UTC
Red Hat CD's should be ISO9660 compliant with Rock Ridge Extensions
only. This should work fine.

Comment 2 gsromero 1999-06-20 20:14:59 UTC
I retoasted the CD, this time only RR + ET. Still fails.
I tried a magazine (PCWorld - Jun, Spain) and it worked.
Their CD is a Joliet Level 1 + RR + ET.
So that is not the problem.
I will try to check file by file to see what is different.

GSR

Comment 3 Hendri Hondorp 1999-06-29 09:58:59 UTC
I have the same problem too!
Some more information:

first stage version 6.0 Apr 13 1999 11:38:06
using device hdc
mounting hdc on /tmp/rhimage as type iso9660
creating directory /tmp/rhimage rc=0
calling mount(/tmp/hdc, /tmp/rhimage, iso9660, -1058209791, (nil))
removing device
error in exec of second stage :-(
  error: permission denied

Comment 4 David Lawrence 1999-07-02 17:37:59 UTC
Sometimes the file attributes can get munged when downloading. Are you
using a Linux box to create the CD or are you using a Windows box? You
need to make sure with whatever utility you are using, that all file
permissions and long filenames are conserved onto the CD image. That
is probably why you are getting permission errors.


Note You need to log in before you can comment on or make changes to this bug.